Package org.eclipse.birt.report.engine.api

# Class EmitterInfo

java.lang.Object
org.eclipse.birt.report.engine.api.EmitterInfo

public class EmitterInfo extends Object
The descriptor of the plugin emitter.

## Constructor Summary

Constructors
Constructor
Description
`EmitterInfo(String format, String id, String pagination, String mimeType, String icon, String namespace, String fileExt, Boolean outputDisplayNone, Boolean isHidden, String supportedImageFormats, boolean needOutputResultSet, org.eclipse.birt.core.framework.IConfigurationElement emitter)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.core.framework.IConfigurationElement`
`getEmitter()`
Get the emitter instance of the emitter.
`String`
`getFileExtension()`
get the file extension of this emitter's output, "." not included
`String`
`getFormat()`
Get the format of the emitter.
`String`
`getIcon()`
Get the icon of the emitter.
`String`
`getID()`
Get the id of the emitter.
`String`
`getMimeType()`
Get the mimeType of the emitter.
`String`
`getNamespace()`
Get the namespace of the emitter.
`Boolean`
`getOutputDisplayNone()`
Get the outputDisplayNone of the emitter.
`int`
`getOverridePriority()`
Get the emitter override priority.
`String`
`getPagination()`
Get the pagination of the emitter.
`String`
`getSupportedImageFormats()`
get the image formats the emitter supports
`boolean`
`isFormatDeprecated()`
Get if the emitter format is deprecated
`Boolean`
`isHidden()`
get whether format is allowed to be shown
`boolean`
`needOutputResultSet()`
If the emitter needs output query result set.
`void`
`setFormatDeprecated(boolean isFormatDeprecated)`
Set if the emitter format is deprecated
`void`
`setNeedOutputResultSet(boolean needOutputResultSet)`
Set needOutputResultSet.
`void`
`setOverridePriority(int overridePriority)`
Set the emitter override priority.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmitterInfo

public EmitterInfo(String format, String id, String pagination, String mimeType, String icon, String namespace, String fileExt, Boolean outputDisplayNone, Boolean isHidden, String supportedImageFormats, boolean needOutputResultSet, org.eclipse.birt.core.framework.IConfigurationElement emitter)

## Method Details

### getNamespace

public String getNamespace()
Get the namespace of the emitter.

Returns:
  namespace of the emitter

### getIcon

public String getIcon()
Get the icon of the emitter.

Returns:

### getFormat

public String getFormat()
Get the format of the emitter.

Returns:
  format of the emitter

### getID

public String getID()
Get the id of the emitter.

Returns:
  id of the emitter

### getEmitter

public org.eclipse.birt.core.framework.IConfigurationElement getEmitter()
Get the emitter instance of the emitter.

Returns:
  emitter instance

### getMimeType

public String getMimeType()
Get the mimeType of the emitter.

Returns:
  mimeType of the emitter

### getPagination

public String getPagination()
Get the pagination of the emitter.

Returns:
  pagination of the emitter

### getOutputDisplayNone

public Boolean getOutputDisplayNone()
Get the outputDisplayNone of the emitter.

Returns:
  outputDisplayNone of the emitter

### getFileExtension

public String getFileExtension()
get the file extension of this emitter's output, "." not included

Returns:
  file extension

### isHidden

public Boolean isHidden()
get whether format is allowed to be shown

Returns:
  hideFormat

### getSupportedImageFormats

public String getSupportedImageFormats()
get the image formats the emitter supports

Returns:
  the supported image formats.

### needOutputResultSet

public boolean needOutputResultSet()
If the emitter needs output query result set.

Returns:

### setNeedOutputResultSet

public void setNeedOutputResultSet(boolean needOutputResultSet)
Set needOutputResultSet.

Parameters:
  `needOutputResultSet` -

### getOverridePriority

public int getOverridePriority()
Get the emitter override priority.

Returns:
  the override priority.

### setOverridePriority

public void setOverridePriority(int overridePriority)
Set the emitter override priority.

Parameters:
  `overridePriority` -

### isFormatDeprecated

public boolean isFormatDeprecated()
Get if the emitter format is deprecated

Returns:

### setFormatDeprecated

public void setFormatDeprecated(boolean isFormatDeprecated)
Set if the emitter format is deprecated

Parameters:
  `isFormatDeprecated` -